%global pypi_name XStatic-Angular-Mock

Name:           python-%{pypi_name}
Version:        1.2.1.1
Release:        2%{?dist}
Summary:        Angular-Mock (XStatic packaging standard)

License:        MIT
URL:            http://angularjs.org/
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem



%description
Angular-Mock JavaScript library
packaged for setuptools (easy_install) / pip.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_mock'|" xstatic/pkg/angular_mock/__init__.py



%build
# due 
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}/%{_jsdir}/angular_mock
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_mock/data/angular-mock.js %{buildroot}/%{_jsdir}/angular_mock



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_mock
%{python2_sitelib}/XStatic_Angular_Mock-%{version}-py%{python_version}-nspkg.pth
%{python2_sitelib}/XStatic_Angular_Mock-%{version}-py%{python_version}.egg-info
%{_jsdir}/angular_mock

%changelog
* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 1.2.1.1-2
- changed BR to python2-devel (rhbz#1134376)

* Wed Aug 27 2014 Matthias Runge <mrunge@redhat.com> - 1.2.1.1-1
- Initial package.
